<div [ngClass]="{'fadeInUp':workFlow?.flag, 'fadeOutDown':!workFlow.flag}"
     *ngIf="workFlow" class="container border border-3 animated fadeIn ">
  <div class="flex-radicado">
    <p class="text-start">Radicado número: <strong> {{workFlow?.info.radicado}}</strong>, realizado el dia:
      <strong>{{workFlow?.info.fecha | date: 'longDate'}}</strong></p>
    <button type="button" class="btn btn-warning" (click)="clearInfo()">Cerrar</button>
  </div>
  <div class="row bg-container" *ngFor="let item of workFlow?.conversacion; index as i">

    <div class="col-lg-5 col-md-6 col-sm-12 align-self-start text-center pt-2 flex-card-par mx-3 mb-3"
         *ngIf="parImpar(i)">
      <div class="card" style="width: 18rem;">
        <div class="card-header flex-card">
          <div class="text-start"><img src="assets/images/user.svg" width="70px" alt="..."></div>
          <h6 class="card-subtitle mx-3 text-muted text-end">{{item.operador}}</h6>
        </div>
        <div class="card-body">
          <p class="card-text">{{item.comentario}}</p>
          <p class="card-text sizeDate"><strong>{{item.fecha|date:'longDate'}}</strong></p>
          <section *ngIf="item.doc">
            <a href="assets/data/doc.pdf" target="_blank">
              <span class=""><img class="" src="assets/images/pdf.png" alt="" style="width: 35px;"/></span>
            </a>
          </section>
        </div>
      </div>
    </div>

    <div class="col-lg-2 col-md-4 col-sm-12 align-self-center text-center pt-2 flex-card sizePhone" *ngIf="parImpar(i)">
      <div class="vl text-center "></div>
      <div><strong>{{item.fecha|date:'longDate'}}</strong></div>
    </div>
    <div class="col-lg-2 offset-lg-5 col-md-4 col-sm-12 align-self-center text-center flex-card sizePhone"
         *ngIf="!parImpar(i)">
      <div><strong>{{item.fecha|date:'longDate'}}</strong></div>
      <div class="vl text-center"></div>
    </div>

    <div class="col-lg-5 col-md-6 col-sm-12 align-self-end text-center flex-card-inpar" *ngIf="!parImpar(i)">
      <div class="card" style="width: 18rem;">
        <div class="card-header flex-card">
          <div class="text-start"><img src="assets/images/user.svg" width="70px" alt="..."></div>
          <h6 class="card-subtitle mx-3 text-muted text-end">{{item.operador}}</h6>
        </div>
        <div class="card-body">
          <p class="card-text">{{item.comentario}}</p>
          <p class="card-text sizeDate"><strong>{{item.fecha|date:'longDate'}}</strong></p>
          <section *ngIf="item.doc">
            <a href="assets/data/doc.pdf" target="_blank">
              <span class=""><img class="" src="assets/images/pdf.png" alt="" style="width: 35px;"/></span>
            </a>
          </section>
        </div>
      </div>
    </div>

  </div>
</div>
